[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#492866: libgnatprj4.3-dev: /usr/share/ada/adainclude/gnatprj/sdefault.ads missing, package unusable

Package: libgnatprj4.3-dev
Version: 4.3.1-1
Severity: grave
Tags: patch

The file /usr/share/ada/adainclude/gnatprj/sdefault.ads is missing
from package libgnatprj4.3-dev, so the package is unusable.  Here is
the patch that corrects this problem:

debian/patches/ada-libgnatprj.dpatch	ebdd53f9fce4fa8818d87b73a4b86bb2ef9484af
debian/patches/ada-libgnatprj.dpatch	ff65f370a4c98add78632c8627d7a888dcbd61af
@@ -3552,7 +3552,7 @@ Index: libgnatprj/Makefile.in
 +# all of them are in src/gcc/ada, but some are generated during build
 +# and are in build/gcc/ada.
 +BODIES := $(filter %.adb,$(PRJ_SOURCES))
-+SPECS := $(filter %.ads,$(PRJ_SOURCES)) $(patsubst %.adb,%.ads,$(BODIES))
++SPECS := $(filter %.ads,$(PRJ_SOURCES)) $(patsubst %.adb,%.ads,$(BODIES)
 +$(addprefix  @srcdir@/../gcc/ada/,$(SPECS) $(BODIES)) \
 +$(addprefix ../gcc/ada/,$(GENERATED_SOURCES))

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgnatprj4.3-dev depends on:
ii  gnat-4.3                      4.3.1-1    The GNU Ada compiler
ii  gnat-4.3-base                 4.3.1-1    The GNU Compiler Collection (gnat 
ii  libgnatprj4.3                 4.3.1-1    GNU Ada Project Manager
ii  libgnatvsn4.3-dev             4.3.1-1    GNU Ada compiler version library -

libgnatprj4.3-dev recommends no packages.

-- no debconf information

Reply to: